Download it now!
Bug 119187 - FILEOPEN Top-aligned text in PPTX becomes bottom-aligned
Summary: FILEOPEN Top-aligned text in PPTX becomes bottom-aligned
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords: bibisected, bisected, filter:pptx, regression
Depends on:
Blocks: PPTX-Paragraph
  Show dependency treegraph
 
Reported: 2018-08-09 21:31 UTC by Stuart Ng
Modified: 2020-05-15 13:28 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Source PPTX with the issue on LibreOffice (18.44 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2018-08-09 21:32 UTC, Stuart Ng
Details
Comparison MSO 2010 and LibreOffice 7.0 master (56.28 KB, image/png)
2020-03-25 11:14 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stuart Ng 2018-08-09 21:31:37 UTC
Description:
Top-aligned text when open in Powerpoint becomes bottom align in libreoffice

Steps to Reproduce:
1. Open the attached PTX in Libreoffice
2.
3.

Actual Results:
Text are bottom aligned

Expected Results:
Text are top aligned


Reproducible: Always


User Profile Reset: No



Additional Info:
Can repro in Libreoffice 6.0
Comment 1 Stuart Ng 2018-08-09 21:32:07 UTC
Created attachment 144075 [details]
Source PPTX with the issue on LibreOffice
Comment 2 Buovjaga 2018-09-02 18:23:40 UTC
Bisected on Ubuntu 14.04, 44max repo to https://cgit.freedesktop.org/libreoffice/core/commit/?id=2a7119021edea8346e4673d57cac3f051a5d0968

bnc#880448: Improved handling of placeholder shapes
If subTitle placeholder is not found, try body instead of title.
And use body text styles instead of title, for subTitle.

Also improve PPTShape::findPlaceholder to find placeholder
with just nSecondSubType type without the same index.

Matúš does not seem to be active anymore, so not adding to CC. Fortunately the commit is not huge, so hopefully someone can figure it out without a back-breaking effort.
Comment 3 QA Administrators 2019-09-26 03:03:05 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2020-03-25 11:14:04 UTC
Created attachment 158971 [details]
Comparison MSO 2010 and LibreOffice 7.0 master
Comment 5 Commit Notification 2020-04-20 20:18:12 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/912217285b3058efa54c2336f91fda4efdad6ff0

tdf#119187 fix: Top-aligned text in PPTX becomes bottom-aligned

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-04-23 19:42:33 UTC
nd101 committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/6ae88e7b2711321783fb756a4796c89b70497db5

tdf#119187 fix: Top-aligned text in PPTX becomes bottom-aligned

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-04-28 10:52:27 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 4ba1909f12b49f020195b5e767045340717ce6df
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Serge Krot, thanks for fixing this issue!!